###--- >>> `getDatasetReference' <<<----- Get an object representing an internal ggobi dataset

	## alias	 help(getDatasetReference)
	## alias	 help(getDatasetReference.ggobi)
	## alias	 help(getDatasetReference.ggobiDisplay)
	## alias	 help(getDatasetReference.ggobiDisplayDescription)
	## alias	 help(getDisplayDataset.ggobi)

##___ Examples ___:

  g <- ggobi(system.file("data", "flea.xml", package="Rggobi"), args="-noinit")
  g$setData(system.file("data", "sat.xml", package="Rggobi"))

  g[1]
  g["flea"]

  g["SAT scores"]

   # Get reference by index
  g$getDatasetReference(1)
   # by name
  g$getDatasetReference("flea")

   # get it from a ggobiDisplayDescription object
  d <- g$getDisplays(T)[[1]]
  getDatasetReference(d)

   # get it from a ggobiDisplay object
  d <- g$getDisplays()[[1]]
  getDatasetReference(d)

## Keywords: 'visualization', 'interactive graphics'.


